Bug 1336400 - disk space is not checked before downloading packages, goes to 0 MB available and fails
Summary: disk space is not checked before downloading packages, goes to 0 MB available...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
(Show other bugs)
Version: 23
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: 1308538
TreeView+ depends on / blocked
 
Reported: 2016-05-16 11:09 UTC by Kamil Páral
Modified: 2016-06-29 17:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-29 17:23:43 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error screenshot (details expanded) (160.12 KB, image/png)
2016-05-16 11:09 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2016-05-16 11:09:02 UTC
Description of problem:
I have followed https://fedoraproject.org/wiki/QA:Testcase_Workstation_Graphical_Upgrade and tried to download packages on a machine with low disk space (not enough to download all packages).

I was not warned about insufficient disk space and GNOME Software started downloading packages. When the disk space ran out, GNOME Software announced an error "Sorry, this did not work" without any helpful details (not even saying this is about insufficient disk space).

The packages were downloaded as root, so it really consumed all available space, including the 5% extra space usually reserved for root.

The user doesn't seem to have any means to clean the PackageKit cache, so the computer might have serious issues working (or even logging in into desktop the next time it boots), unless the user immediately removes some of his/her files.

Version-Release number of selected component (if applicable):
gnome-software-3.20.3-0.191.20160425git.fc23.x86_64
libhif-0.2.3-0.145.20160427git.fc23.x86_64
PackageKit-1.1.1-1.fc23.x86_64

How reproducible:
always

Steps to Reproduce:
1. make sure you have low disk space on disk (e.g. 200MB)
2. click Download in gnome-software
3. see no warning, watch the disk space go to 0 (and wait a bit further until the root-reserved space is also filled up), and see gnome-software say "that didn't work"

Actual results:
user is not warned about insufficient disk space prior to download

Expected results:
user is warned about insufficient disk space prior to download, or the download is downright prevented

Comment 1 Kamil Páral 2016-05-16 11:09:43 UTC
Created attachment 1157847 [details]
error screenshot (details expanded)

Comment 2 Fedora Update System 2016-05-28 09:34:30 UTC
libhif-0.2.2-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8b1f3f0e14

Comment 3 Fedora Update System 2016-05-28 09:35:44 UTC
libhif-0.2.2-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fd3bae6fc7

Comment 4 Fedora Update System 2016-05-29 00:53:17 UTC
libhif-0.2.2-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fd3bae6fc7

Comment 5 Fedora Update System 2016-05-29 00:55:40 UTC
libhif-0.2.2-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8b1f3f0e14

Comment 6 Fedora Update System 2016-05-30 21:20:35 UTC
libhif-0.2.2-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Kamil Páral 2016-05-31 11:35:03 UTC
Tested with:
PackageKit-1.1.1-2.fc23
libgusb-0.2.9-1.fc23
libhif-0.2.2-4.fc23
gnome-software-3.20.3-1.fc23
libappstream-glib-0.5.14-1.fc23
json-glib-1.2.0-1.fc23

The insufficient disk space is now checked when Download button is pressed and low space is correctly announced.

We will want to fix this in F23 as well, though, reopening.

Comment 8 Kamil Páral 2016-06-06 11:42:56 UTC
Verified fixed with libhif-0.2.2-4.fc23.

Comment 9 Fedora Update System 2016-06-29 17:23:41 UTC
libhif-0.2.2-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.